Subject: bug#50849: 28.0.50; Proposal for Emacs daemon to signal when being busy

From: Stefan Kangas <[email-masked]>
Date: Wed, 7 Sep 2022 04:18:17 -0400

Eli Zaretskii <[email-masked]> writes:

> Do I need a recipe?  The source code says:
>
>   #define DEFAULT_TIMEOUT (30)
>   [...]
>     set_socket_timeout (emacs_socket, timeout > 0 ? timeout : DEFAULT_TIMEOUT);
>
> That's self-explanatory, isn't it?

You wrote that "if someone uses the client of the master branch, it will
now always terminate due to timeout after 30 sec", but I don't see that
on current master.  So I'm asking if we are not seeing the same
behaviour, and if so, why that is.

When I do this:

    ./lib/emacsclient foo.txt

and wait for more than 30 seconds, emacsclient doesn't exit.